slar2v.f(3)

NAME
slar2v.f

SYNOPSIS

  Functions/Subroutines
subroutine slar2v (N, X, Y, Z, INCX, C, S, INCC)
SLAR2V applies a vector of plane rotations with real cosines and real sines from both sides to a sequence of 2-by-2 symmetric/Hermitian matrices.

Function/Subroutine Documentation

  subroutine slar2v (integer N, real, dimension( * ) X, real, dimension( * ) Y, real, dimension( * ) Z, integer INCX, real, dimension( * ) C, real, dimension( * ) S, integer INCC)

Purpose:

     SLAR2V applies a vector of real plane rotations from both sides to
     a sequence of 2-by-2 real symmetric matrices, defined by the elements
     of the vectors x, y and z. For i = 1,2,...,n
        ( x(i)  z(i) ) := (  c(i)  s(i) ) ( x(i)  z(i) ) ( c(i) -s(i) )
        ( z(i)  y(i) )    ( -s(i)  c(i) ) ( z(i)  y(i) ) ( s(i)  c(i) )

Parameters
    N

              N is INTEGER
              The number of plane rotations to be applied.

    X

              X is REAL array,
                             dimension (1+(N-1)*INCX)
              The vector x.

    Y

              Y is REAL array,
                             dimension (1+(N-1)*INCX)
              The vector y.

    Z

              Z is REAL array,
                             dimension (1+(N-1)*INCX)
              The vector z.

    INCX

              INCX is INTEGER
              The increment between elements of X, Y and Z. INCX > 0.

    C

              C is REAL array, dimension (1+(N-1)*INCC)
              The cosines of the plane rotations.

    S

              S is REAL array, dimension (1+(N-1)*INCC)
              The sines of the plane rotations.

    INCC

              INCC is INTEGER
              The increment between elements of C and S. INCC > 0.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 109 of file slar2v.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.